Bug 736839 - WARNING: at kernel/power/suspend_test.c:53 suspend_test_finish+0x80/0x87()
Summary: WARNING: at kernel/power/suspend_test.c:53 suspend_test_finish+0x80/0x87()
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 20:12 UTC by John Reiser
Modified: 2013-04-23 17:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 17:26:18 UTC


Attachments (Terms of Use)
/var/log/messages at time of warning (15.33 KB, text/plain)
2011-09-08 20:12 UTC, John Reiser
no flags Details
/var/log/messages at time of warning (19.27 KB, text/plain)
2011-09-09 20:49 UTC, John Reiser
no flags Details
/var/log/messages at time of warning (29.19 KB, text/plain)
2012-03-01 15:58 UTC, John Reiser
no flags Details

Description John Reiser 2011-09-08 20:12:11 UTC
Created attachment 522198 [details]
/var/log/messages at time of warning

Description of problem: kernel burps after suspend+resume.


Version-Release number of selected component (if applicable):
kernel-3.1.0-0.rc3.git0.0.fc16.x86_64

How reproducible: haven't tried


Steps to Reproduce:
1. 0/1 > Suspend
2. push Power button to Resume
3.
  
Actual results: Gnome3 desktop Notification "a problem has occurred"


Expected results: no burp


Additional info:

Comment 1 John Reiser 2011-09-08 20:18:00 UTC
bluetoothd is hogging one CPU:

top - 13:16:31 up 1 day,  5:33,  5 users,  load average: 1.26, 1.16, 0.75
Tasks: 137 total,   4 running, 133 sleeping,   0 stopped,   0 zombie
Cpu(s):  9.2%us, 46.8%sy,  0.0%ni, 44.0%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   8160520k total,  3025988k used,  5134532k free,   132692k buffers
Swap: 44210804k total,        0k used, 44210804k free,  1729012k cached
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
  889 root      20   0 25200 2220 1896 R 99.8  0.0  11:41.50 bluetoothd
 1073 root      20   0  156m  37m 9404 R  5.7  0.5  19:09.89 Xorg
 1552 jreiser   20   0 1530m  76m  29m R  3.1  1.0   5:21.18 gnome-shell
 2631 jreiser   20   0  514m  27m  16m S  2.5  0.3  14:49.11 gnome-system-mo
 1679 jreiser   20   0  572m  20m  10m S  0.9  0.3   0:19.87 gnome-terminal
15268 root      20   0     0    0    0 S  0.8  0.0   0:02.03 kworker/0:1

Comment 2 John Reiser 2011-09-09 20:49:51 UTC
Created attachment 522402 [details]
/var/log/messages at time of warning

It happened again; bluetoothd was spinning at 100% CPU again (on resume), too.

Comment 3 Josh Boyer 2012-02-28 21:00:28 UTC
Are you still seeing this with the 3.2.7 or 3.3.0-rc5 kernels?

Comment 4 John Reiser 2012-02-28 21:32:10 UTC
Using kernel-3.2.7-1.fc16.x86_64 the Gnome3 problem remains ("Oh no, a problem has occurred..." upon login after Resume after Suspend) but the kernel does not complain (no Oops), and bluetoothd is not consuming CPU time.

By the way, Suspend is *fast* now, about one second or less!

Comment 5 Josh Boyer 2012-02-29 14:43:55 UTC
OK, I don't know what the Gnome issue is about.  You might want to file another bug for that.

Since the kernel problem seems to have been corrected, I'm going to close this out for now.  If you see the same oops, please reopen.

Comment 6 John Reiser 2012-03-01 15:58:26 UTC
Created attachment 566871 [details]
/var/log/messages at time of warning

The problem recurs in kernel-3.3.0-0.rc4.git1.4.fc17.x86_64.  Note two Warnings in this log (sleep of about 18 hours).

It also looks similar to (Fedora 15) bug 722742 [abrt] kernel: WARNING: at kernel/power/suspend_test.c:53 suspend_test_finish+0x80/0x87()

Comment 7 Josh Boyer 2012-03-01 16:36:15 UTC
(In reply to comment #6)
> Created attachment 566871 [details]
> /var/log/messages at time of warning
> 
> The problem recurs in kernel-3.3.0-0.rc4.git1.4.fc17.x86_64.  Note two Warnings
> in this log (sleep of about 18 hours).

That kernel has all the various debug options enabled.  It's likely they are causing things to slow down enough to print out the warning.

You could try with 3.3.0-0.rc5.git0 as that should have the debug options disabled.

Comment 8 John Reiser 2012-03-08 18:46:43 UTC
kernel-3.3.0-0.rc6.git0.2.fc17.x86_64 fails to get completely into Suspend state. The arddrives do not power down, DVI monitor does not power down, fans do not stop.  Display has switched to text mode, showing something like "Cannot open font file True".

kernel-3.3.0-0.rc5.git3.1.fc17.x86_64 works for Suspend and Resume.  Both kernels running on same machine with updates-testing + updates + fedora 17 as of one hour ago.

Comment 9 Fedora End Of Life 2013-04-03 19:28:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 10 Justin M. Forbes 2013-04-05 16:15:01 UTC
Is this still a problem with 3.9 based F19 kernels?

Comment 11 Justin M. Forbes 2013-04-23 17:26:18 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.